1.0
1.0
get /v1/auto-scaling-groups/{auto_scaling_group_id}/lb-server-groups
Description
List Auto-Scaling Group LB Server Groups.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| query | offset optional | Index of where to start in the list Example : 0 | any of [integer, null] | 0 |
| query | limit optional | Page size of items Example : 20 | any of [integer, null] | 20 |
| query | sort optional | Comma-separated list of sort keys and optional sort directions in the form of Example : created_at:desc | any of [string, null] | created_at:desc,id:desc |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AutoScalingGroupLbServerGroupListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/lb-server-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 200
{
"count": 20,
"lb_server_groups": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "lb-server-group-name",
"port": 8080
}
]
}